program Vfy;
{$INCLUDE 'vfy.inc'}
{$APPTYPE CONSOLE}

{$R *.res}

uses
  SysUtils,
  Classes,
  uConsoleApp,
  uVerify in 'Main\uVerify.pas',
  uVerifyState in 'Main\uVerifyState.pas',
  uHashItem in 'Main\uHashItem.pas',
  uHashList in 'Main\uHashList.pas',
  uProgress in 'Main\uProgress.pas',
  uCLI in 'CLI\uCLI.pas';

var
  ErrorMsg: string;

begin
  try
    ExitCode := 0;
    ExitCode := ExecuteConsoleApp(TVerifyApp);
    {$IFNDEF FPC}
    {$IFDEF DELPHI7_UP}
      {$WARN SYMBOL_PLATFORM OFF}
    {$ENDIF}
      if DebugHook <> 0 then
        begin
        Writeln;
        Write('Press any key to exit.');
        Readln;
        end;
    {$IFDEF DELPHI7_UP}
      {$WARN SYMBOL_PLATFORM ON}
    {$ENDIF}
    {$ENDIF}
  except
    on E: Exception do
      begin
      ErrorMsg := Format('Exception %s: %s', [E.ClassName, E.Message]);
      Writeln(ErrorMsg);
      ExitCode := 255;
      end;
    end;
end.

